Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vividsolutions.jts.noding
Interface SegmentIntersector

All Known Implementing Classes:
  InteriorIntersectionFinder, IntersectionAdder, IntersectionFinderAdder, LineIntersectionAdder, SegmentIntersectionDetector

public interface SegmentIntersector

Processes possible intersections detected by a `Noder`. The `SegmentIntersector` is passed to a `Noder`. The `addIntersections` method is called whenever the `Noder` detects that two SegmentStrings might intersect. This class may be used either to find all intersections, or to detect the presence of an intersection. In the latter case, Noders may choose to short-circuit their computation by calling the `isDone` method. This class is an example of the Strategy pattern.

Version:
  1.7

Method Summary
`boolean` | `isDone()` Reports whether the client of this class needs to continue testing all intersections in an arrangement.
`void` | `processIntersections(SegmentString e0, int segIndex0, SegmentString e1, int segIndex1)` This method is called by clients of the `SegmentIntersector` interface to process intersections for two segments of the `SegmentStrings` being intersected.

Method Detail

### processIntersections

    public void processIntersections(SegmentString e0,
                                     int segIndex0,
                                     SegmentString e1,
                                     int segIndex1)

  This method is called by clients of the `SegmentIntersector` interface to process intersections for two segments of the `SegmentStrings` being intersected.

### isDone

    public boolean isDone()

  Reports whether the client of this class needs to continue testing all intersections in an arrangement.

  Returns:
    true if there is no need to continue testing segments

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD